Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator
Class SelectionScheme

    java.lang.Object
      Operator.OperatorModule
          Operator.SourceModule
              Operator.SplitOperator
                  Operator.SelectionScheme

All Implemented Interfaces:
  Module, Operator, ParameterI, Stochastic

    public class SelectionScheme

extends SplitOperator

SelectionScheme has a SelectionOperation This opertor is used for selecting from the population

Author:
  Blip

Field Summary

Fields inherited from class Operator.SplitOperator
`destinationPopulation, operation`

Fields inherited from class Operator.SourceModule
`size`

Fields inherited from class Operator.OperatorModule
`population, rng`

Constructor Summary
`SelectionScheme(RandomNumberGenerator rng, int size, Operation op)` Creates a new instance of SelectionScheme
`SelectionScheme(RandomNumberGenerator rng, Operation op)` Creates a new instance of SelectionScheme

Method Summary
`Operation` | `getOperation()` Get operation that operator performs
`Population` | `getPopulation()` Returns the selected population.
`static void` | `main(java.lang.String[] Args)`
`void` | `perform()` Performs the operation on the population
`void` | `setOperation(Operation op)` Set operation that operator performs
`void` | `setProperties(java.util.Properties p)` Set properties

Methods inherited from class Operator.SourceModule
`setSize`

Methods inherited from class Operator.OperatorModule
`getRNG, setPopulation, setRNG`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionScheme

    public SelectionScheme(RandomNumberGenerator rng,
                           int size,
                           Operation op)

  Creates a new instance of SelectionScheme

  Parameters:
    `rng` - random number generator
    `size` - size
    `op` - operation

### SelectionScheme

    public SelectionScheme(RandomNumberGenerator rng,
                           Operation op)

  Creates a new instance of SelectionScheme

  Parameters:
    `rng` - random number generator
    `op` - operation

Method Detail

### setProperties

    public void setProperties(java.util.Properties p)

  Set properties

  Parameters:
    `p` - object containing properties

### perform

    public void perform()

  Description copied from interface: `Module`
  Performs the operation on the population

  Specified by:
    `perform` in interface `Module`
  Specified by:
    `perform` in class `SplitOperator`

### setOperation

    public void setOperation(Operation op)

  Description copied from interface: `Operator`
  Set operation that operator performs

  Specified by:
    `setOperation` in interface `Operator`
  Specified by:
    `setOperation` in class `SplitOperator`
  Parameters:
    `op` - operation

### getOperation

    public Operation getOperation()

  Description copied from interface: `Operator`
  Get operation that operator performs

  Specified by:
    `getOperation` in interface `Operator`
  Specified by:
    `getOperation` in class `SplitOperator`
  Returns:
    operation

### getPopulation

    public Population getPopulation()

  Returns the selected population.

  Specified by:
    `getPopulation` in class `SplitOperator`
  Returns:
    Selected population

### main

    public static void main(java.lang.String[] Args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD